/* DEFAULT CLASSES */
.centered {
  text-align: center;
}

.underlined {
  text-decoration: underline;
}

.dotted {
  border-bottom: 2px dotted white;
}

.bold {
  font-weight: bold;
}

.bolder {
  font-weight: bolder;
}

.no-margin {
  margin: 0;
}

.no-padding {
  padding: 0;
}

/* DEFAULT TEXT */

body {
  margin-top: 130px; /* Margin between nav bar and text (to low will make text vanish) */
  background-color: rgb(15, 15, 15);
  color: white;
}


h1, h2 {
  margin-top: 50px;
  margin-bottom: 5px;
  text-decoration: underline;
}

h3, h4, h5, h6 {
  margin-top: 30px;
  margin-bottom: 5px;
}

/* DEFAULT TEXT SIZE */

h1 {
  font-size: 40px;
}

h2 {
  font-size: 28px;
}

h3 {
  font-size: 24px;
}

h4 {
  font-size: 20px;
}

p {
  font-size: 18px;
}


/* NAVIGATION BAR */

.nav-bar {
  background-color: rgb(32, 32, 32);

  display: block;

  margin: 0;
  padding: 0px;

  position: fixed;
  top:0;
  left:0;

  width: 100%;
}

.nav-bar ul {
  display: inline-block;
  list-style: none;
  margin: 0;
  padding: 0;
}

.nav-bar .nav-logo-title {
  display: inline-block;
  margin-right: 50px;
  margin-left: 20px;
  color: rgb(163, 248, 152);
  font-weight: 900;
  font-size: 25px;
}

.nav-bar .nav-logo-title:hover {
  color: rgb(204, 252, 198);
}

.nav-bar li {
  display: inline-block;
  margin-left: 60px;
  font-size: 25px;
}

.nav-bar a {
  text-decoration: none;
  color: white;
  font-weight: 600;
}

.nav-bar a:hover {
  color: rgb(200, 248, 194);
}

/* PHONE/TABLET */

@media screen and (min-width: 500px) and (max-width: 950px) {
  .nav-bar {
    padding-bottom: 20px;
    padding-top: 20px;
  }

  .nav-bar .nav-logo-title {
    display: block; 
    margin: 00 auto 20px; 
    text-align: center;
  }

  .nav-bar ul {
    display: block; 
    text-align: center;
  }

  .nav-bar li {
    display: inline-block; 
    margin: 0 15px; 
  }

  body {
    margin-top: 180px; 
  }
}

@media screen and (min-width: 250px) and (max-width: 500px) {
  .nav-bar .nav-logo-title {
    display: block;
    margin: 10px auto;
    text-align: center;
  }
    .nav-bar ul {
    display: block;
    text-align: center;
    padding: 0;
    margin: 0;
  }

  .nav-bar li {
    display: inline-block;
    width: 45%;
    margin: 10px 0;
  }
   body {
    margin-top: 200px;
  }
}

@media screen and (max-width: 250px) {
  .nav-bar p {
    display: block;
    margin: 10px auto;
    text-align: center;
  }
    .nav-bar ul {
    display: block;
    text-align: center;
    padding: 0;
    margin: 0;
  }

  .nav-bar li {
    display: block;
    margin: 10px 0;
    margin-left: auto;
    margin-right: auto;
  }
   body {
    margin-top: 280px;
  }
}